automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[FYI] {master} tests: don't trust exit status of "make -k"


From: Stefano Lattarini
Subject: [FYI] {master} tests: don't trust exit status of "make -k"
Date: Sun, 19 Feb 2012 12:35:56 +0100

* tests/parallel-tests-extra-programs.test: Unless $MAKE is GNU
make, don't trust the exit status of "$MAKE -k".  Fixes a spurious
failure with OpenBSD 5.0 make and NetBSD 5.1 make.
---
 tests/parallel-tests-extra-programs.test |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

diff --git a/tests/parallel-tests-extra-programs.test 
b/tests/parallel-tests-extra-programs.test
index 3802176..5b1a58e 100755
--- a/tests/parallel-tests-extra-programs.test
+++ b/tests/parallel-tests-extra-programs.test
@@ -121,7 +121,13 @@ $MAKE -k check >stdout 2>stderr || st=$?
 cat stdout
 cat stderr >&2
 ls -l
-test $st -gt 0 || Exit 1
+if using_gmake; then
+  test $st -gt 0 || Exit 1
+else
+  # Don't trust exit status of "make -k" for non-GNU make.
+  $MAKE check && Exit 1
+  : For shells with busted 'set -e'.
+fi
 
 # Files that should have been created, with the expected content.
 cat bar.c
-- 
1.7.9




reply via email to

[Prev in Thread] Current Thread [Next in Thread]